HanMacWrdKGraphInternal::Frame Struct Reference documentation

HanMacWrdKGraphInternal::Frame Struct Reference

Internal: the frame header of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Frame:

## Public Member Functions
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<<

## Detailed Description

Internal: the frame header of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ Frame() [1/2]

HanMacWrdKGraphInternal::Frame::Frame | ( |  | ) |
| inline

constructor

Referenced by HanMacWrdKGraphInternal::FootnoteFrame::FootnoteFrame(), Frame(), HanMacWrdKGraphInternal::Group::Group(), operator<<, HanMacWrdKGraphInternal::PictureFrame::PictureFrame(), HanMacWrdKGraphInternal::ShapeGraph::ShapeGraph(), HanMacWrdKGraphInternal::Table::Table(), and HanMacWrdKGraphInternal::TextBox::TextBox().

## ◆ Frame() [2/2]

HanMacWrdKGraphInternal::Frame::Frame | ( | Frame const & |  | ) |
| default

## ◆ ~Frame()

HanMacWrdKGraphInternal::Frame::~Frame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f HanMacWrdKGraphInternal::Frame::getBdBox | ( |  | ) | const
| inline

return the frame bdbox

Referenced by HanMacWrdKGraph::sendGroupChild(), HanMacWrdKGraph::sendPictureFrame(), HanMacWrdKGraph::sendShapeGraph(), and HanMacWrdKGraph::sendTextBox().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | grph )
| friend

operator<<

## Member Data Documentation

## ◆ m_baseline

float HanMacWrdKGraphInternal::Frame::m_baseline

the baseline

Referenced by Frame(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_borders

MWAWVec2f HanMacWrdKGraphInternal::Frame::m_borders[4]

the border default size (before using width), 0 means Top, other unknown

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_borderType

int HanMacWrdKGraphInternal::Frame::m_borderType

the border type

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), Frame(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_extra

std::string HanMacWrdKGraphInternal::Frame::m_extra

an extra string

Referenced by Frame(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_fileId

long HanMacWrdKGraphInternal::Frame::m_fileId

the file id

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), Frame(), operator<<, HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendFrame(), and HanMacWrdKGraph::sendPictureFrame().

## ◆ m_fileSubId

long HanMacWrdKGraphInternal::Frame::m_fileSubId

the file sub id

Referenced by Frame(), HanMacWrdKGraph::prepareStructures(), and HanMacWrdKGraph::readFrames().

## ◆ m_id

int HanMacWrdKGraphInternal::Frame::m_id

the local id

Referenced by Frame(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_inGroup

bool HanMacWrdKGraphInternal::Frame::m_inGroup

true if the frame is a child of a group

Referenced by Frame(), operator<<, HanMacWrdKGraph::prepareStructures(), and HanMacWrdKGraph::readFrames().

## ◆ m_page

int HanMacWrdKGraphInternal::Frame::m_page

the page

Referenced by HanMacWrdKGraph::canCreateGraphic(), Frame(), operator<<, HanMacWrdKGraph::readFrames(), and HanMacWrdKGraph::sendGroupChild().

## ◆ m_parsed

bool HanMacWrdKGraphInternal::Frame::m_parsed
| mutable

true if we have send the data

Referenced by Frame(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), HanMacWrdKGraph::sendGroup(), and HanMacWrdKGraph::sendGroupChild().

## ◆ m_pos

MWAWBox2f HanMacWrdKGraphInternal::Frame::m_pos

the position

Referenced by Frame(), getBdBox(), operator<<, HanMacWrdKGraph::readFrames(), and HanMacWrdKGraph::sendGroupChild().

## ◆ m_posFlags

int HanMacWrdKGraphInternal::Frame::m_posFlags

the graph anchor flags

Referenced by Frame(), operator<<, and HanMacWrdKGraph::readFrames().

## ◆ m_style

MWAWGraphicStyle HanMacWrdKGraphInternal::Frame::m_style

the style

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), Frame(), HanMacWrdKGraphInternal::ShapeGraph::getStyle(), operator<<, HanMacWrdKGraph::readFrames(), and HanMacWrdKGraph::sendFrame().

## ◆ m_type

int HanMacWrdKGraphInternal::Frame::m_type

the graph type

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), Frame(), operator<<, HanMacWrdKGraph::prepareStructures(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroupChild(), and HanMacWrdKGraph::sendTextBox().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx